(function (lazyImageStyle) {

  // Override find selector.
  lazyImageStyle.findSelector = '.lazy-image[data-src]';

  // Override function set source data.
  lazyImageStyle.setSourceData = function (elem) {

    // Create img HTML element.
    let img = document.createElement('img');

    if (elem.hasAttributes()) {
      let attrs = elem.attributes;
      for (let i = attrs.length - 1; i >= 0; i--) {

        // Not add styles.
        if (attrs[i].name === 'style') {
          continue;
        }

        // Set src attribute.
        if (attrs[i].name === 'data-src') {
          // Add hide class.
          elem.classList.add('hide');

          // Create tmp image element for load image.
          let tmp_img = new Image();

          // Set src for img element after load image.
          tmp_img.onload = function () {
            img.src = this.src;
            while (elem.firstChild) {
              elem.removeChild(elem.firstChild);
            }
            elem.appendChild(img);
            img.classList.remove('hide');
            elem.removeAttribute(attrs[i].name);
            elem.removeAttribute('class');
          };
          tmp_img.src = attrs[i].value;
          continue;
        }

        // Set source attributes.
        img.setAttribute(attrs[i].name, attrs[i].value);
        if (attrs[i].name !== 'class') {
          elem.removeAttribute(attrs[i].name);
        }
      }
    }
  };

}(Drupal.behaviors.lazyImageStyle));